Console Output

Started by upstream project "TransportMaps-pypi" build number 120
originally caused by:
 [URLTrigger] A change within the response URL invocation (log)
Running as SYSTEM
[EnvInject] - Loading node environment variables.
Building remotely on reynolds in workspace /jenkins/workspace/TransportMaps-pypi/COMPILER/gcc/MACHINE/reynolds/PYTHON_EXE/python2/VENV_SYS/virtualenv
[WS-CLEANUP] Deleting project workspace...
[WS-CLEANUP] Deferred wipeout is used...
[GitCheckoutListener] SCM 'hudson.scm.NullSCM' is not of type GitSCM
[virtualenv] $ /bin/bash -ex /tmp/jenkins7377675658401480312.sh
+ git archive --remote=git@bitbucket.org:dabi86/transportmaps.git HEAD:jenkins/ test-pypi.sh
+ tar -x
+ ./test-pypi.sh
created virtual environment CPython2.7.18.final.0-64 in 150ms
  creator CPython2Posix(dest=/jenkins/workspace/TransportMaps-pypi/COMPILER/gcc/MACHINE/reynolds/PYTHON_EXE/python2/VENV_SYS/virtualenv/venv_TransportMaps-pypi_python2, clear=False, global=False)
  seeder FromAppData(download=False, pip=latest, setuptools=latest, wheel=latest, pkg_resources=latest, via=copy, app_data_dir=/home/jenkins/.local/share/virtualenv/seed-app-data/v1.0.1.debian.1)
  activators BashActivator,CShellActivator,FishActivator,PowerShellActivator,PythonActivator
Python 2.7.18

TEST_NAME: TransportMaps-pypi
HOSTNAME: reynolds
PATH: /jenkins/workspace/TransportMaps-pypi/COMPILER/gcc/MACHINE/reynolds/PYTHON_EXE/python2/VENV_SYS/virtualenv/venv_TransportMaps-pypi_python2/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/home/jenkins/bin
VENV_OPTS: 
PATH: /jenkins/workspace/TransportMaps-pypi/COMPILER/gcc/MACHINE/reynolds/PYTHON_EXE/python2/VENV_SYS/virtualenv/venv_TransportMaps-pypi_python2/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/home/jenkins/bin
PY-VERS: 
PY-CMD: import logging;import TransportMaps as TM;import warnings;warnings.simplefilter('ignore');TM.tests.run_all(logging.ERROR,ttype='serial')

Upgrading pip
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting pip
  Using cached pip-20.3.4-py2.py3-none-any.whl (1.5 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 20.0.2
    Uninstalling pip-20.0.2:
      Successfully uninstalled pip-20.0.2
Successfully installed pip-20.3.4
Installing numpy
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
Collecting numpy
  Using cached numpy-1.16.6-cp27-cp27mu-manylinux1_x86_64.whl (17.0 MB)
Installing collected packages: numpy
Successfully installed numpy-1.16.6
Installing TransportMaps
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
Processing /home/jenkins/.cache/pip/wheels/1f/33/a7/c2884f42555b27e0c993640adea985f187b859d9220a3c162a/TransportMaps-2.0b3-cp27-none-any.whl
Collecting scipy
  Using cached scipy-1.2.3-cp27-cp27mu-manylinux1_x86_64.whl (24.8 MB)
Collecting scikit-sparse
  Using cached scikit-sparse-0.4.6.tar.gz (209 kB)
  Installing build dependencies: started
  Installing build dependencies: finished with status 'done'
  Getting requirements to build wheel: started
  Getting requirements to build wheel: finished with status 'done'
    Preparing wheel metadata: started
    Preparing wheel metadata: finished with status 'done'
ERROR: Package u'scikit-sparse' requires a different Python: 2.7.18 not in '>=3.6, <3.10'
Build step 'Execute shell' marked build as failure
Sending e-mails to: tmteam-dev@mit.edu
[WS-CLEANUP] Deleting project workspace...
[WS-CLEANUP] Skipped based on build state FAILURE
Finished: FAILURE